Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci.xa
Class PreparedStatement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Statement
            |
            +--weblogic.jdbc.oci.xa.PreparedStatement

Direct Known Subclasses:
  CallableStatement

public class PreparedStatement
extends Statement
implements java.sql.PreparedStatement

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addBatch()` Deprecated.
`void` | `clearParameters()` Deprecated.
`void` | `close()` Deprecated.
`boolean` | `execute()` Deprecated.
`java.sql.ResultSet` | `executeQuery()` Deprecated.
`int` | `executeUpdate()` Deprecated.
`java.sql.ResultSetMetaData` | `getMetaData()` Deprecated.
`java.sql.ParameterMetaData` | `getParameterMetaData()` Deprecated.
`void` | `setArray(int i, java.sql.Array x)` Deprecated.
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)` Deprecated.
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)` Deprecated.
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)` Deprecated.
`void` | `setBlob(int i, java.sql.Blob x)` Deprecated.
`void` | `setBoolean(int parameterIndex, boolean x)` Deprecated.
`void` | `setByte(int parameterIndex, byte x)` Deprecated.
`void` | `setBytes(int parameterIndex, byte[] x)` Deprecated.
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)` Deprecated.
`void` | `setClob(int i, java.sql.Clob x)` Deprecated.
`void` | `setDate(int parameterIndex, java.sql.Date x)` Deprecated.
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)` Deprecated.
`void` | `setDouble(int parameterIndex, double x)` Deprecated.
`void` | `setFloat(int parameterIndex, float x)` Deprecated.
`void` | `setInt(int parameterIndex, int x)` Deprecated.
`void` | `setLong(int parameterIndex, long x)` Deprecated.
`void` | `setNull(int parameterIndex, int sqlType)` Deprecated.
`void` | `setNull(int paramIndex, int sqlType, java.lang.String typeName)` Deprecated.
`void` | `setObject(int parameterIndex, java.lang.Object x)` Deprecated.
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)` Deprecated.
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)` Deprecated.
`void` | `setRef(int i, java.sql.Ref x)` Deprecated.
`void` | `setShort(int parameterIndex, short x)` Deprecated.
`void` | `setString(int parameterIndex, java.lang.String x)` Deprecated.
`void` | `setTime(int parameterIndex, java.sql.Time x)` Deprecated.
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)` Deprecated.
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)` Deprecated.
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)` Deprecated.
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)` Deprecated.
`void` | `setURL(int a, java.net.URL b)` Deprecated.

Methods inherited from class weblogic.jdbc.oci.xa.Statement
`addBatch, cancel, clearBatch, clearWarnings, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeQuery in interface java.sql.PreparedStatement

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeUpdate in interface java.sql.PreparedStatement

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setNull in interface java.sql.PreparedStatement

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBoolean in interface java.sql.PreparedStatement

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setByte in interface java.sql.PreparedStatement

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setShort in interface java.sql.PreparedStatement

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    setInt in interface java.sql.PreparedStatement

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setLong in interface java.sql.PreparedStatement

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setFloat in interface java.sql.PreparedStatement

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDouble in interface java.sql.PreparedStatement

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBigDecimal in interface java.sql.PreparedStatement

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setString in interface java.sql.PreparedStatement

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBytes in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    setAsciiStream in interface java.sql.PreparedStatement

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBinaryStream in interface java.sql.PreparedStatement

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    clearParameters in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.PreparedStatement

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    execute in interface java.sql.PreparedStatement

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    setUnicodeStream in interface java.sql.PreparedStatement

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.

  Overrides:
    close in class Statement

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMetaData in interface java.sql.PreparedStatement

### setNull

    public void setNull(int paramIndex,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setNull in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCharacterStream in interface java.sql.PreparedStatement

### setRef

    public void setRef(int i,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    setRef in interface java.sql.PreparedStatement

### setBlob

    public void setBlob(int i,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBlob in interface java.sql.PreparedStatement

### setClob

    public void setClob(int i,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setClob in interface java.sql.PreparedStatement

### setArray

    public void setArray(int i,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setArray in interface java.sql.PreparedStatement

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    addBatch in interface java.sql.PreparedStatement

### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getParameterMetaData in interface java.sql.PreparedStatement

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    setURL in interface java.sql.PreparedStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD